board-github
POST /v1/board-github/links/{linkId}/sync
Refresh one connection from GitHub now.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X POST https://api.zinndigital.com/v1/board-github/links/{linkId}/sync \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
The Temporal sweep does this every five minutes and the webhook does it in seconds; this is the button for somebody who does not want to wait. Both cursors come back. `last_attempted_at` moves for every attempt and `last_synced_at` only on success — so *"last synced 4 minutes ago"* beside *"last attempted 10 seconds ago"* is how a customer sees that we are trying and GitHub is refusing. One timestamp cannot say that.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
linkId (path) | string | Sì | The GitHub Projects connection. |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
ok | boolean | No | A distinct field rather than something inferred from the counts. A project that legitimately has no items and a sync that could not see anything are the same zeros. |
error | string | No | — |
items_seen | integer | No | — |
items_created | integer | No | — |
items_updated | integer | No | — |
items_archived | integer | No | — |
fields_seen | integer | No | — |
conflicts | integer | No | — |
pushed_back | integer | No | Fields OUR value won and were therefore re-pushed to GitHub. Keeping a won value only on our side would be a resolution that resolves nothing and reports the same conflict on th… |
pages | integer | No | — |
last_synced_at | string | No | — |
last_attempted_at | string | No | — |
Errori che questo endpoint può restituire
401 · 403 · 404